staqlydocs
REST APIAPI referenceMedia

Keep this file of a set of identical ones

Keep this file of a set of identical ones (posts:delete and posts:write)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

POST
/v1/media/{id}/keep

Posts that use a copy (in their files or a comment) use this file instead, in one transaction, and the copies move to Deleted.

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Path Parameters

id*string

Response Body

The copies moved to Deleted

application/json
  1. response
deleted*array<string>
curl -X POST 'https://staqly.example.com/v1/media/string/keep'
{  "deleted": [    "string"  ]}